*{
  font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif
}
/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --black-color: hsl(220, 24%, 12%);
  --black-color-light: hsl(220, 24%, 15%);
  --black-color-lighten: hsl(220, 20%, 18%);
  --white-color: #fff;
  --body-color: hsl(220, 100%, 97%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Cambria", sans-serif;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
}

ul {
  list-style: none;
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: #efefef;
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
  z-index: var(--z-fixed);
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.nav__logo,
.nav__burger,
.nav__close {
  color: black;
}
.nav__logo:hover{
  color: #F79E1B;
}
.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}



.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
  font-weight: var(--font-semi-bold);
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
}

.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}

.nav__burger,
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
}

.nav__close {
  opacity: 0;
}

.dropdown__menu{
  width: 18vw;
}

/* Navigation for mobile devices */
@media screen and (max-width: 1118px) {
  .dropdown__menu{
    width: fit-content;
  }
  .nav__data{
    width: 100%;
  }
  .nav__menu {
    position: absolute;
    left: 0;
    top: 2.5rem;
    width: 100%;
    height: calc(100vh - 3.5rem);
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top .4s, opacity .3s;
  }

  .nav__menu::-webkit-scrollbar {
    width: 0;
  }

  .nav__list {
    background-color: #efefef;
    padding-top: 1rem;
    height: 80% !important;
  }
}

.nav__link {
  color:black;
  background-color:#efefef;
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color .3s;
}

.nav__link:hover {
  background-color: #efefef;
  color: #F7AE15;
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}

.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
  border-radius: 20px;

}

.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}

.dropdown__link,
.dropdown__sublink {
  padding: 1.25rem 1.25rem 1.25rem 2.5rem;
  color: black;
  background-color: #dcdcdc;
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-semi-bold);
  transition: background-color .3s;
}

.dropdown__link i,
.dropdown__sublink i {
  font-size: 1.25rem;
  font-weight: initial;
}

.dropdown__link:hover,
.dropdown__sublink:hover {
  background-color: #bdbdbd;
  color: #F79E1B;
}


.dropdown__menu,
.dropdown__submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height .4s ease-out;
}

/* Show dropdown menu & submenu */
.dropdown__item:hover .dropdown__menu,
.dropdown__subitem:hover>.dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}

/* Rotate dropdown icon */
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
}

/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}

.dropdown__sublink {
  background-color: var(--black-color-lighten);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }

  .nav__link {
    padding-inline: 1rem;
  }
}

/* For large devices */
@media screen and (min-width: 1118px) {
  .container {
    margin-inline: auto;
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }

  .nav__toggle {
    display: none;
  }

  .nav__list {
    height: 100% ;
    display: flex;
    column-gap: 3rem;
  }

  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }

  .nav__link:hover {
    background-color: transparent;
  }

  .dropdown__menu:hover{
    border-radius: 20px;
  }

  .dropdown__item,
  .dropdown__subitem {
    position: relative;
  }

  .dropdown__menu,
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0;
    top: 6rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;
  }

  .dropdown__link,
  .dropdown__sublink {
    padding-inline: 1rem 4.5rem;
  }

  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }

  /* Show dropdown menu */
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    top: 5.5rem;
    pointer-events: initial;
    transition: top .3s;
  }

  /* Show dropdown submenu */
  .dropdown__subitem:hover>.dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }
}


#button a {
  border: 1px solid rgb(0, 0, 0);
  color: rgb(0, 0, 0);
  border-radius: 20px;
  padding: 10px !important;
  margin-top: 50px;
}

#button a:hover {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  color: white;
}


/*-------------
HERO SECTION
-------------*/
/* .hero-section {
  background-image: url("../images/About_Images/about_cnc.jpg");
  height: 50vh;
  background-size: cover;
  display: flex;
  background-position: center;
  padding-top: 90px;
} */
.hero-section {
  background-image: url("../images/About_Images/about_cnc.jpg");
  opacity: 0.8;
  height: 50vh;
  background-size: cover;
  display: flex;
  padding-top: 90px;
  background-position: center;
  border-radius: 0 0px 80px 0;
}
.hero-section h1 {
  font-size: 60px;
  font-weight: bolder;
  color: white;
}

.slide-in {
  text-align: center;
  margin-top: 15px;
  font-weight: bold;
  background: linear-gradient(to right, #f7ae15 0%, #ff5722 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: slide-in 1s ease-out forwards;
}

@keyframes slide-in {
  from {
    transform: translateX(-100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

.established {
  padding: 10px;
}

.Offers {
  text-align: center;
}

.boxes {
  display: flex;
  margin-left: 40px;
}

.box {
  width: 200px;
  height: 100px;
  /* background-color: #ff5722; */
  background: linear-gradient(315deg, #ff5722, #f7ae15);
}

.box-text {
  text-align: center;
  margin-top: 28px;
  color: #181818;
  font-weight: 600;
}

.infra-box-text {
  text-align: center;

}

.box .infra-box-text {
  margin-top: 10px;
}

.box {
  width: 300px;
  margin: 10px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.7);
  opacity: 0;
  transform: translateY(100px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-in;
}

.box.animate {
  opacity: 1;
  transform: translateY(0);
}

.timeline-bg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 15rem;
  color: rgba(0, 0, 0, 0.05);
  text-align: center;
  white-space: nowrap;
  z-index: -1;
}

/* @media screen and (min-width: 462px) {
  .timeline-bg {
    display: none;
  }
} */
@media (max-width: 767px) {
  .timeline-bg {
    display: none;
  }
}
/*-------------
Excellence part
--------------*/

#middleContainer {
  background-image: url("../images/About_Images/graybg.jpg");
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-size: cover; /* Ensures the background image covers the entire container */
  background-position: center; /* Centers the background image */
  background-repeat: no-repeat;
  padding-top: 20px;

}
@media screen and (max-width: 600px) {
  #middleContainer {
    background-image: url("../images/About_Images/graybg.jpg");
    height: fit-content;
    background-size: cover; /* Ensures the background image covers the entire container */
  background-position: center; /* Centers the background image */

  }
}

@media screen and (max-width: 860px) {
  #middleContainer {
    background-image: url("../images/About_Images/graybg.jpg");
    height: fit-content;
    background-size: cover; /* Ensures the background image covers the entire container */
  background-position: center; /* Centers the background image */

  }
}
#flex-container {
  display: flex;
  flex-wrap: wrap;
  height: 460px;
  flex-direction: row;
  justify-content: center;
}

/* Keep the existing .card-hover styles */
.card-hover {
  margin-top: 10px;
  margin-left: 30px;
  padding: 20px;
  transition: background-color 0.3s, box-shadow 0.3s, transform 0.3s, color 0.3s;
  border-radius: 10px;
  color: white;
}

.card-hover:hover {
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transform: scale(1.05);
}

.card-hover:hover .goal-text,
.card-hover:hover .paragraph {
  color: black;
}

.card-hover:hover .goal-text {
  font-weight: bold;
}


/*-------------
TIMELINE PART 
----------------*/



.timeline ul {
  --col-gap: 2rem;
  --row-gap: 2rem;
  --line-w: 0.25rem;
  display: grid;
  grid-template-columns: var(--line-w) 1fr;
  grid-auto-columns: max-content;
  column-gap: var(--col-gap);
  list-style: none;
  width: min(60rem, 90%);
  margin-inline: auto;
}

/* line */
.timeline ul::before {
  content: "";
  grid-column: 1;
  grid-row: 1 / span 20;
  background: rgb(225, 225, 225);
  border-radius: calc(var(--line-w) / 2);
}

/* columns*/

/* row gaps */
.timeline ul li:not(:last-child) {
  margin-bottom: var(--row-gap);
}

/* card */
.timeline ul li {
  grid-column: 2;
  --inlineP: 1.5rem;
  margin-inline: var(--inlineP);
  grid-row: span 2;
  display: grid;
  grid-template-rows: min-content min-content min-content;
}

/* date */
.timeline ul li .date {
  --dateH: 3rem;
  height: var(--dateH);
  margin-inline: calc(var(--inlineP) * -1);

  text-align: center;
  background-color: var(--accent-color);

  color: white;
  font-size: 1.25rem;
  font-weight: 700;

  display: grid;
  place-content: center;
  position: relative;

  border-radius: calc(var(--dateH) / 2) 0 0 calc(var(--dateH) / 2);
}

/* date flap */
.timeline ul li .date::before {
  content: "";
  width: var(--inlineP);
  aspect-ratio: 1;
  background: var(--accent-color);
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
  position: absolute;
  top: 100%;

  clip-path: polygon(0 0, 100% 0, 0 100%);
  right: 0;
}

/* circle */
.timeline ul li .date::after {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1;
  background: var(--bgColor);
  border: 0.3rem solid var(--accent-color);
  border-radius: 50%;
  top: 50%;

  transform: translate(50%, -50%);
  right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}

/* title descr */
.timeline ul li .title,
.timeline ul li .descr {
  background: var(--bgColor);
  position: relative;
  padding-inline: 1.5rem;
}
.timeline ul li .title {
  overflow: hidden;
  padding-block-start: 1.5rem;
  padding-block-end: 1rem;
  font-weight: 500;
}
.timeline ul li .descr {
  padding-block-end: 1.5rem;
  font-weight: 300;
}

/* shadows */
.timeline ul li .title::before,
.timeline ul li .descr::before {
  content: "";
  position: absolute;
  width: 90%;
  height: 0.5rem;
  background: rgba(0, 0, 0, 0.5);
  left: 50%;
  border-radius: 50%;
  filter: blur(4px);
  transform: translate(-50%, 50%);
}
.timeline ul li .title::before {
  bottom: calc(100% + 0.125rem);
}

.timeline ul li .descr::before {
  z-index: -1;
  bottom: 0.25rem;
}

@media (min-width: 40rem) {
  .timeline ul {
    grid-template-columns: 1fr var(--line-w) 1fr;
  }
  .timeline ul::before {
    grid-column: 2;
  }
  .timeline ul li:nth-child(odd) {
    grid-column: 1;
  }
  .timeline ul li:nth-child(even) {
    grid-column: 3;
  }

  /* start second card */
  .timeline ul li:nth-child(2) {
    grid-row: 2/4;
  }

  .timeline ul li:nth-child(odd) .date::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    left: 0;
  }

  .timeline ul li:nth-child(odd) .date::after {
    transform: translate(-50%, -50%);
    left: calc(100% + var(--col-gap) + var(--line-w) / 2);
  }
  .timeline ul li:nth-child(odd) .date {
    border-radius: 0 calc(var(--dateH) / 2) calc(var(--dateH) / 2) 0;
  }
}

.credits {
  margin-top: 1rem;
  text-align: right;
}
.credits a {
  color: var(--color);
}


/*---------------------------------------
  INFRASTRUCTURE          
-----------------------------------------*/
.Infrastructure {
  margin: 20px;
  display: flex;
  justify-content: space-evenly;
}

.infa-text {
  width: 50%;
}

.infa-table {
  width: 50%;
}

.wrapper {
  text-align: center;
  display: flex;
  justify-content: center;
}

.stats-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  width: 80%;
  max-width: 600px;
  background: linear-gradient(to right, #f7ae15 0%, #ff5722 100%);
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 100px;
}

.stat-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  border: 1px solid #e0e0e0;
  border-radius: 10px;
  background-color: #fafafa;
}

.stat-item h2 {
  margin: 0;
  font-size: 2em;
  color: #333333;
}

.stat-item p {
  margin: 10px 0 0;
  font-size: 1em;
  color: #777777;
}



/*---------------------------------------
  Certificate              
-----------------------------------------*/

.certificates {
  background-color: #837f7c;
  background-image: url("../images/About_Images/graybg.jpg");
  background-size: cover; /* Ensures the background image covers the entire container */
  background-position: center; /* Centers the background image */
  background-repeat: no-repeat;
}

.ISO {
  display: flex;
  margin: 30px;
  justify-content: space-evenly;
}

/* .ISO_Left {
  width: 50%;
} */


.MSME {
  display: flex;
  flex-direction: row-reverse;
  margin: 30px;
  justify-content: space-evenly;
}

.MSME_Left {
  width: 50%;
}

.MSME_Right {
  /* width: 50%; */
}




/*---------------------------------------
  REVIEWS              
-----------------------------------------*/
.reviews-section {
  background-image: url("/images/services/cnc milling1.png");
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 30px;
  border-radius: 40px;
  margin: 0 20px 0 0;
  font-size: 30px !important;

}

.reviews-block {
  background-color: var(--section-bg-color);
  border-radius: var(--border-radius-medium);
  position: relative;
  overflow: hidden;
}

#hero a{
  margin-top: 40px;
  padding: 15px 15px;
  border-radius: 20px;
  border: 1px solid #F7AE15;
  transition: 0.5s;
}

#hero a:hover {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  color: white;
}


.reviews-block .border-top {
  border-top-color: rgba(255, 255, 255, 0.35) !important;
}

.reviews-block-image-wrap {
  background-image: url('../images/mid-section-waitress-wiping-espresso-machine-with-napkin-cafa-c.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 30px;
}

.reviews-block-image {
  border-radius: var(--border-radius-large);
  width: 65px;
  height: 65px;
  object-fit: cover;
  margin-right: 10px;
}

.reviews-block-info {
  padding: 20px 30px;
}

.reviews-block-info p {
  font-size: var(--btn-font-size);
  font-style: italic;
  color: rgba(255, 255, 255, 0.75);
}

.reviews-group i {
  color: var(--white-color);
}


/*---------------------------------------
  SITE FOOTER              
-----------------------------------------*/
.site-footer {
  /* background-color: #000000; */
  background-image: url('/images/footerAmbika.png');
  background-repeat: no-repeat;
  background-size: cover;
  padding-top: 100px;
  padding-bottom: 100px;

}

.site-footer strong {
  color: var(--white-color);
}

#foot {
  background-color: #d4d4d4;
  font-weight: bold;
  color: #000000;
}

#foot:hover {
  background: linear-gradient(to right, #F7AE15, #EB3C21);
  color: white;
}

/* #fix{
  position: fixed;
  background:white;
  border-radius: var(--border-radius-large);
  color: white;
  z-index: 4;
  margin-top:500px ;
  font-size: var(--menu-font-size);
  display: block;
  right: 80px;
  text-align: center;
  width: 35px;
  height: 35px;
  line-height: 35px;
  transition: background 0.2s, color 0.2s;
} */

.site-footer p,
.site-footer-link {
  color: rgba(255, 255, 255, 0.75);
  font-size: var(--btn-font-size);
}

.site-footer-link {
  color: rgba(255, 255, 255, 0.75);
  font-size: var(--btn-font-size);
  transition: all 0.3s;
}

.site-footer-link:hover {
  color: rgba(255, 255, 255, 0.75);
  text-decoration: underline;
}

.copyright-text {
  color: rgba(255, 255, 255, 0.75);
  font-size: var(--menu-font-size);
}

.copyright-text a {
  color: rgba(255, 200, 160, 0.75);
}



.content {
  width: 300px;
  height: 40px;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, .2);
  border-radius: 60px;
  overflow: hidden;
}

.subscription {
  position: relative;
  width: 100%;
  height: 100%;
}

.subscription .add-email {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  padding: 0 20px;
}

.subscription .submit-email {
  position: absolute;
  top: 0;
  right: 0;
  height: calc(100% - 2px);
  width: 100px;
  border: none;
  border-radius: 60px;
  outline: none;
  margin: 1px;
  padding: 0 20px;
  cursor: pointer;
  background: #F79E1B;
  color: #FFFFFF;
  transition: width .35s ease-in-out,
    background .35s ease-in-out;
}

.subscription.done .submit-email {
  width: calc(100% - 2px);
  background: linear-gradient(to right, #F7AE15, #EB3C21);
}

.subscription .submit-email .before-submit,
.subscription .submit-email .after-submit {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  line-height: 38px;
  transition: visibility .35s ease-in-out,
    opacity .35s ease-in-out;
}

.subscription.done .submit-email .before-submit,
.subscription:not(.done) .submit-email .after-submit {
  visibility: hidden;
  opacity: 0;
}

.subscription .submit-email .after-submit {
  transition-delay: .35s;
}

.subscription:not(.done) .submit-email .before-submit,
.subscription.done .submit-email .after-submit {
  visibility: visible;
  opacity: 1;
}

/*---------------------------------------
  SOCIAL ICON               
-----------------------------------------*/
.social-icon {
  margin: 0;
  padding: 0;
}

.social-icon-item {
  list-style: none;
  display: inline-block;
  vertical-align: top;
}

.social-icon-link {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  border-radius: 100px;
  color: white;
  font-size: 16px;
  display: block;
  margin: 0 5px;
  text-align: center;
  width: 35px;
  height: 35px;
  line-height: 35px;
  transition: background 0.2s, color 0.2s;
}

.social-icon-link:hover {
  background: white;
  color: #F79E1B;
}

.social-icon-link span {
  display: block;
}


#unique:hover {
  background: linear-gradient(to right, #F7AE15 0%, #EB3C21 100%);
  color: white;
}
